<?php
	require_once("lib/fconnect.php");
	$db = DBConnect::getInstance();
    require_once('lib/frole.php');
	$role = new Role();
$role->isPageEnable($user->uuid);
// my uuid is b34a0855-5cd7-43ac-8299-2fb88cb32290
//char1 9c639906-9a8e-4812-b379-e67ed2116bb4
// Physics faculty uuid is eeb68891-33e0-4aba-9062-e818e63433ae
// var_dump($user->uuid);
?><!DOCTYPE HTML>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title>Мониторинг сеансов</title>
<link rel="stylesheet" href="/css/jquery-ui.css" />
<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>
<script src="/js/bootstrap.min.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<link type="text/css" rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link type="text/css" rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link type="text/css" rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />

<link type="text/css" rel="stylesheet" href="/css/navigation__horizontal.css" />
<link type="text/css" rel="stylesheet" href="/css/pro.css" />
<script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";
  </script>
</head>
<body>
<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      "Мониторинг сеансов"</h1>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>


<!-- CURRENT PAGE -->
<div class="all">
		<?php
echo $role->userMenu($user->uuid);
	?>
	
	<center>
	<hr>
<?php
$docs = $db->colVisit->find();
foreach($docs as $doc){
echo '<table class="pro"><tr><th colspan="2"><h5>Пользователь: "'.$doc['uid'].'"</h5></th></tr>';
unset($doc['uid']);
unset($doc['_id']); 
//var_dump($doc);
foreach($doc as $key => $value){
echo '<tr><td class="datetime">'.$key.'</td><td><ul>';
if(!is_array($value)){
	echo '<li>'.$value.'</li>';
}else{
	foreach($value as $val){
		echo '<li>'.$val.'</li>';
	}
}
echo '</ul></td></tr>';	
}
echo '</table><hr>';
}

?>
</center>
</div>
</body>
</html>
